# $Id: Base.pm 3733 2010-01-19 12:04:28Z chris $

=head1 NAME

WebService::RottenTomatoes::Base

=head1 SYNOPSIS

=head1 DESCRIPTION

=cut

package WebService::RottenTomatoes::Base;

use strict;
use warnings;

our $VERSION = '0.01';

use base qw(Class::Accessor);

use Carp;
our @CARP_NOT = qw(WebService::RottenTomatoes WebService::RottenTomatoes::Movie);

__PACKAGE__->mk_accessors(qw(
    __content
));

=head1 METHODS

=head2 TODO

=cut

sub _content {
    my $self = shift;
    my $page = shift || "";

    if (!defined $self->__content()) { $self->__content({}); }

    my $content = $self->__content()->{'page'};

    if (! defined $content) {

	$content = $self->_ws()->_get_page_content($self->_url($page));

	$self->__content()->{'page'} = $content;
    }

    return $content;

}

1;
